aboutsummaryrefslogtreecommitdiff
path: root/system/pm-utils/pm-utils.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/pm-utils/pm-utils.SlackBuild')
-rw-r--r--system/pm-utils/pm-utils.SlackBuild113
1 files changed, 113 insertions, 0 deletions
diff --git a/system/pm-utils/pm-utils.SlackBuild b/system/pm-utils/pm-utils.SlackBuild
new file mode 100644
index 0000000000000..c92c8c35670a5
--- /dev/null
+++ b/system/pm-utils/pm-utils.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/sh
+
+# Slackware build script for pm-utils
+
+# Copyright 2008 Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pm-utils
+VERSION=1.2.2.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix up some SysV init hardcoding
+patch -p1 < $CWD/patches/pm-utils-functions.in.patch
+
+# Fix a bug where acpi video flags aren't properly reset after a resume,
+# causing subsequent resumes to fail
+patch -p1 < $CWD/patches/99video.diff
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README* TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+
+# According to this thread, these hooks should not be needed:
+# http://lists.freedesktop.org/archives/pm-utils/2008-November/001753.html
+# ##### MOVED HOOKS
+# 1. 50ntpd: ntp gracefully handles disappearing net on its own
+# 2. 55battery: hal >0.5.10 handles this on its own
+# 3. 90clock: Most systems should keep the hwclock in sync over a suspend /
+# resume cycle, and since this hook is a severe time waster otherwise,
+# we'll kill it.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/extra_hooks
+mv $PKG/usr/lib/pm-utils/sleep.d/{50ntpd,55battery,90clock} \
+ $PKG/usr/doc/$PRGNAM-$VERSION/extra_hooks
+# ##### REMOVED HOOKS
+# 4. 65alsa: According to the alsa devs, this hook is useless. Correct
+# way to workaround buggy alsa drivers is documented in README.SLACKWARE
+# http://lists.freedesktop.org/archives/pm-utils/2008-November/001808.html
+# 5. 94cpufreq: all cpufreq governors are "sane" now, so this isn't needed
+rm -f $PKG/usr/lib/pm-utils/sleep.d/{65alsa,94cpufreq}
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz